commoble.exmachina.util

## Class ConfigHelper.ConfigValueListener<T>

- java.lang.Object
- - commoble.exmachina.util.ConfigHelper.ConfigValueListener<T>

All Implemented Interfaces:
  java.util.function.Supplier<T>

Enclosing class:
  ConfigHelper

    public static class ConfigHelper.ConfigValueListener<T>
    extends java.lang.Object
    implements java.util.function.Supplier<T>

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`T` `get()`
`static <T> ConfigHelper.ConfigValueListener<T>` `of(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> configValue, java.util.List<ConfigHelper.ConfigValueListener<?>> valueList)`
`void` `update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static <T> ConfigHelper.ConfigValueListener<T> of(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> configValue,
                                                             java.util.List<ConfigHelper.ConfigValueListener<?>> valueList)

#### update

    public void update()

#### get

    public T get()

Specified by:
  `get` in interface `java.util.function.Supplier<T>`